Google Web Toolkit (Beta)
Search this site:

# Interface SourcesScrollEvents

public interface SourcesScrollEvents
// Implemented by `ScrollPanel`
A widget that implements this interface sources the events defined by the ScrollListener interface.

## Methods

addScrollListener(ScrollListener) | Adds a listener interface to receive scroll events.
removeScrollListener(ScrollListener) | Removes a previously added scroll listener.

## Method Detail

### addScrollListener

public void addScrollListener(ScrollListener listener)
Adds a listener interface to receive scroll events.

#### Parameters

listener
  the listener interface to add.

### removeScrollListener

public void removeScrollListener(ScrollListener listener)
Removes a previously added scroll listener.

#### Parameters

listener
  the listener interface to remove.